"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Server = void 0;
var _tsyringe = require("tsyringe");
var _injectorsJs = require("../injectors.js");
var _class;
var _dec = (0, _tsyringe).singleton();
let Server = _class = _dec((_class = class Server {
    async start(preRun) {
        try {
            this._logger.info('starting server...');
            await this._appBuilder.start(preRun);
            this._logger.info(`server listening on port ${this._configuration.serverPort}`);
        } catch (err) {
            this._logger.error('error starting app', err);
            throw err;
        }
    }
    constructor(_configuration, _appBuilder, _logger){
        this._configuration = _configuration;
        this._appBuilder = _appBuilder;
        this._logger = _logger;
    }
}) || _class) || _class;
exports.Server = Server;
