"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.stripBearerPrefix = void 0;
const stripBearerPrefix = (header)=>header == null ? null : header.indexOf('Bearer ') === 0 ? header.slice('Bearer '.length) : header
;
exports.stripBearerPrefix = stripBearerPrefix;
class IdentityRequestContextProvider {
    async apply(ctx, request) {
        const { authenticator  } = ctx.components;
        const token = this._headerTransformer(request.headers[this._headerName] ?? null);
        const identity = await authenticator.verifyToken(token);
        return {
            identity
        };
    }
    constructor(headerName = 'authorization', headerTransformer = stripBearerPrefix){
        this._headerTransformer = headerTransformer;
        this._headerName = headerName;
    }
}
exports.IdentityRequestContextProvider = IdentityRequestContextProvider;
