"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.registerAppBuilder = registerAppBuilder;
exports.registerLogger = registerLogger;
exports.registerSchema = registerSchema;
exports.registerRequestContextProviders = registerRequestContextProviders;
var _tsyringe = require("tsyringe");
var _indexJs = require("../index.js");
function registerAppBuilder(ctx = _tsyringe.container) {
    ctx.register(_indexJs.BaseInjectorNames.AppBuilder, {
        useClass: _indexJs.AppBuilder
    });
}
function registerLogger(ctx = _tsyringe.container) {
    ctx.register(_indexJs.BaseInjectorNames.Logger, {
        useValue: ctx.resolve(_indexJs.LoggerProvider).get()
    });
}
function registerSchema(schema, ctx = _tsyringe.container) {
    ctx.register(_indexJs.BaseInjectorNames.Schema, {
        useValue: schema
    });
}
function registerRequestContextProviders(/* eslint-disable-next-line @typescript-eslint/no-explicit-any */ providers, ctx = _tsyringe.container) {
    ctx.register(_indexJs.BaseInjectorNames.RequestContextProviders, {
        useValue: providers
    });
}
