import { container } from 'tsyringe';
import { AppBuilder, BaseInjectorNames, LoggerProvider } from '../index.mjs';
export function registerAppBuilder(ctx = container) {
    ctx.register(BaseInjectorNames.AppBuilder, {
        useClass: AppBuilder
    });
}
export function registerLogger(ctx = container) {
    ctx.register(BaseInjectorNames.Logger, {
        useValue: ctx.resolve(LoggerProvider).get()
    });
}
export function registerSchema(schema, ctx = container) {
    ctx.register(BaseInjectorNames.Schema, {
        useValue: schema
    });
}
export function registerRequestContextProviders(/* eslint-disable-next-line @typescript-eslint/no-explicit-any */ providers, ctx = container) {
    ctx.register(BaseInjectorNames.RequestContextProviders, {
        useValue: providers
    });
}
